API documentation | API docs for agents | OpenAPI 3.1
POST /api/v1/edi/connections
ark.request_edi_partner_connection
Requests or updates an EDI trading-partner setup request for the organization.
- Availability
- Expanded preview
- Scopes
edi:write- ARK permissions
canAdminEdi- Team visibility
- Not entity-scoped
- Idempotency-Key
- Required for this write
- Approval
- No MCP approval on REST API-token calls
- Rate limit
- API credential and organization budgets
Parameters
Idempotency-Keyheaderstringrequired- Required for external write operations. Reuse the same key only for exact retries of the same request body.
- min length: 1; max length: 255
Request body
partnerDisplayNamestringrequiredmin length: 1; max length: 200
requestNotesstring | nullmax length: 5000
Example request
Shell
curl -X POST 'https://arktms.com/api/v1/edi/connections' \
-H "Authorization: Bearer $ARK_API_TOKEN" \
-H "Idempotency-Key: <unique-key>" \
-H "Content-Type: application/json" \
-d '{
"partnerDisplayName": "<partnerDisplayName>"
}'Success response
EDI partner connection request
objectstringrequiredokbooleanrequiredapi_versionstringrequiredrequest_idstringrequireddataobjectrequireddata.requestobjectrequireddata.messagestringrequiredErrors
HTTP 400- Invalid request
HTTP 401- Authentication required
HTTP 403- Permission, scope, team, or entitlement denied
HTTP 409- Idempotency conflict or in-progress retry